> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stophy.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Real estate

> Search homes for sale and rent on Zillow, Rightmove, and ImmoScout24. Get the price, photos, and details for any listing as JSON.

Search homes for sale and rent on Zillow, Rightmove, and ImmoScout24. Get the price, photos, and details for any listing as JSON. See every field in the [Real estate reference](/api-reference/endpoint/zillow-search), or try it in the [playground](https://stophy.dev/playground).

## Search homes for sale, for rent or sold

<CodeGroup>
  ```typescript TypeScript icon="https://mintcdn.com/sirathic/7E4w9-IC4ysabjfc/images/icons/typescript.svg?fit=max&auto=format&n=7E4w9-IC4ysabjfc&q=85&s=d8272a85e64145620f1fbbfcf7932986" theme={null}
  import { Stophy } from "stophy";

  const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
  const result = await stophy.zillow.search({ location: "Austin, TX" });
  console.log(result.data.results);
  ```

  ```python Python icon="python" theme={null}
  from stophy import Stophy

  stophy = Stophy()  # reads STOPHY_API_KEY
  result = stophy.zillow.search(location="Austin, TX")
  print(result["data"]["results"])
  ```

  ```bash cURL icon="terminal" theme={null}
  curl -X POST https://api.stophy.dev/v1/zillow/search \
    -H "Authorization: Bearer $STOPHY_API_KEY" \
    -H "content-type: application/json" \
    -d '{"location":"Austin, TX"}'
  ```

  ```bash CLI icon="square-terminal" theme={null}
  stophy zillow search "Austin, TX"
  ```
</CodeGroup>

The response:

```json theme={null}
{
  "success": true,
  "data": {
    "total": 1234,
    "results": [
      {
        "propertyId": "abc123",
        "propertyUrl": "https://example.com/",
        "status": "forSale",
        "statusText": "example",
        "price": 19.99,
        "priceCurrency": "USD",
        "addressFull": "example",
        "addressStreet": "example",
        "addressCity": "example",
        "addressRegion": "example",
        "addressPostalCode": "example",
        "latitude": 1,
        "longitude": 1,
        "bedrooms": 1,
        "bathrooms": 1,
        "sqft": 1,
        "homeType": "example",
        "daysOnZillow": 1,
        "lastSoldAt": "2026-09-28T12:00:00.000Z",
        "zestimate": 1,
        "rentZestimate": 1,
        "brokerName": "example",
        "imageUrl": "https://example.com/image.jpg",
        "buildingName": "example",
        "buildingMinRent": 1,
        "buildingMaxRent": 1,
        "buildingAvailableUnits": 1,
        "units": [
          {
            "bedrooms": 1,
            "price": 19.99
          }
        ]
      }
    ],
    "page": 1,
    "hasMore": false,
    "totalPages": 1234
  },
  "creditsUsed": 2,
  "requestId": "11236c03-7332-4465-a53d-68a0aefadf61"
}
```

## Endpoints

| Endpoint | Cost |
| - | - |
| [Search homes for sale, for rent or sold](/api-reference/endpoint/zillow-search) | 2 credits |
| [Get a home's details, price and Zestimate](/api-reference/endpoint/zillow-property) | 1 credit |
| [Search UK homes for sale or rent](/api-reference/endpoint/rightmove-search) | 1 credit |
| [Get a Rightmove property's details](/api-reference/endpoint/rightmove-property) | 1 credit |
| [Search German homes for rent or sale](/api-reference/endpoint/immoscout-search) | 1 credit |
| [Get an ImmoScout listing's details](/api-reference/endpoint/immoscout-listing) | 1 credit |

## More ways to call it

### Search UK homes for sale or rent

<CodeGroup>
  ```typescript TypeScript icon="https://mintcdn.com/sirathic/7E4w9-IC4ysabjfc/images/icons/typescript.svg?fit=max&auto=format&n=7E4w9-IC4ysabjfc&q=85&s=d8272a85e64145620f1fbbfcf7932986" theme={null}
  import { Stophy } from "stophy";

  const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
  const result = await stophy.rightmove.search({ location: "Manchester" });
  console.log(result.data.results);
  ```

  ```python Python icon="python" theme={null}
  from stophy import Stophy

  stophy = Stophy()  # reads STOPHY_API_KEY
  result = stophy.rightmove.search(location="Manchester")
  print(result["data"]["results"])
  ```

  ```bash cURL icon="terminal" theme={null}
  curl -X POST https://api.stophy.dev/v1/rightmove/search \
    -H "Authorization: Bearer $STOPHY_API_KEY" \
    -H "content-type: application/json" \
    -d '{"location":"Manchester"}'
  ```

  ```bash CLI icon="square-terminal" theme={null}
  stophy rightmove search Manchester
  ```
</CodeGroup>

### Search German homes for rent or sale

<CodeGroup>
  ```typescript TypeScript icon="https://mintcdn.com/sirathic/7E4w9-IC4ysabjfc/images/icons/typescript.svg?fit=max&auto=format&n=7E4w9-IC4ysabjfc&q=85&s=d8272a85e64145620f1fbbfcf7932986" theme={null}
  import { Stophy } from "stophy";

  const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
  const result = await stophy.immoscout.search({ location: "Berlin" });
  console.log(result.data.results);
  ```

  ```python Python icon="python" theme={null}
  from stophy import Stophy

  stophy = Stophy()  # reads STOPHY_API_KEY
  result = stophy.immoscout.search(location="Berlin")
  print(result["data"]["results"])
  ```

  ```bash cURL icon="terminal" theme={null}
  curl -X POST https://api.stophy.dev/v1/immoscout/search \
    -H "Authorization: Bearer $STOPHY_API_KEY" \
    -H "content-type: application/json" \
    -d '{"location":"Berlin"}'
  ```

  ```bash CLI icon="square-terminal" theme={null}
  stophy immoscout search Berlin
  ```
</CodeGroup>

<Tip>Pass the listing link from a search result into that site's property endpoint for the full listing.</Tip>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.